<!doctype html>
<html lang="fr">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <!-- Ces styles sont fait pour mettre en valeur les lignes et les colonnes et aider à visualiser le rendu avec Bootstrap 4 -->
    <style>
      .row {
        border: 1px solid #7451EB;
        padding: 3px;
      }
      [class^="col"] {
        padding: 1rem;
        border: 2px solid #3FA5DB;
      }
    </style>

    <title>Grille Boostrap</title>
  </head>
  <body>

   <div class="row">
      <div class="col">
         Première colonne

                <form action="{% url 'gestruc:visite_add' %}" method="post">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <input type="submit" value="Valider" />
                    <a href="{% url 'gestruc:visites' %}"> <b> annuler </b></a>
                </form>

      </div>
      <div class="col">
         Deuxième colonne
      </div>
   </div>
</div>
